## xtrs 1.9

=== Makefile ===

#
# Makefile for xtrs, the TRS-80 emulator.
#

OBJECTS = \
	z80.o \
	main.o \
	load_hex.o \
	trs_memory.o \
	trs_keyboard.o \
	error.o \
	debug.o \
	dis.o \
	trs_io.o \
	trs_cassette.o \
	trs_xinterface.o \
	trs_chars.o \
	trs_printer.o \
	trs_rom1.o \
	trs_rom3.o \
	trs_disk.o \
	trs_interrupt.o \
	trs_imp_exp.o

CR_OBJECTS = \
	compile_rom.o \
	load_hex.o

MD_OBJECTS = \
	mkdisk.o

HC_OBJECTS = \
	cmd.o \
	load_hex.o \
	hex2cmd.o

SOURCES = \
	z80.c \
	main.c \
	load_hex.c \
	trs_memory.c \
	trs_keyboard.c \
	error.c \
	debug.c \
	dis.c \
	trs_io.c \
	trs_cassette.c \
	trs_xinterface.c \
	trs_chars.c \
	trs_printer.c \
	trs_disk.c \
	trs_interrupt.c \
	trs_imp_exp.c

CR_SOURCES = \
	compile_rom.c

MD_SOURCES = \
	mkdisk.c

HC_SOURCES = \
	cmd.c \
	hex2cmd.c

HEADERS = \
	config.h \
	z80.h \
	trs.h \
	trs_iodefs.h \
	trs_disk.h \
	trs_imp_exp.h \
	cmd.h

MISC = \
	README \
	Makefile \
	Makefile.local \
	cassette \
	xtrs.man \
	xtrs.man.txt

default:	xtrs mkdisk hex2cmd xtrs.man.txt mkdisk.man.txt

# Local customizations for make variables are done in Makefile.local:
include Makefile.local

CFLAGS = $(DEBUG) $(ENDIAN) $(DEFAULT_ROM) $(READLINE) $(DISKDIR) $(IFLAGS) \
	-DKBWAIT -DHAVE_SIGIO
LIBS = $(XLIB) $(READLINELIBS) $(EXTRALIBS)

.SUFFIXES:	.z .cmd .dct
.z.cmd:
	zmac $<
	hex2cmd $*.hex > $*.cmd
.z.dct:
	zmac $<
	hex2cmd $*.hex > $*.dct

xtrs:		$(OBJECTS)
		$(CC) $(LDFLAGS) -o xtrs $(OBJECTS) $(LIBS)

compile_rom:	$(CR_OBJECTS)
		$(CC) -o compile_rom $(CR_OBJECTS)

trs_rom1.c:	compile_rom $(BUILT_IN_ROM)
		./compile_rom 1 $(BUILT_IN_ROM) > trs_rom1.c

trs_rom3.c:	compile_rom $(BUILT_IN_ROM3)
		./compile_rom 3 $(BUILT_IN_ROM3) > trs_rom3.c

mkdisk:		$(MD_OBJECTS)
		$(CC) -o mkdisk $(MD_OBJECTS)

hex2cmd:	$(HC_OBJECTS)
		$(CC) -o hex2cmd $(HC_OBJECTS)

saber_src:
		#ignore SIGIO
		#load $(LDFLAGS) $(CFLAGS) $(SOURCES) $(LIBS)

tar:		$(SOURCES) $(CR_SOURCES) $(MF_SOURCES) $(HEADERS)
		tar cvf xtrs.tar $(SOURCES) $(CR_SOURCES) $(MF_SOURCES) \
			$(HEADERS) $(MISC)
		rm -f xtrs.tar.Z
		compress xtrs.tar

xtrs.man.txt:	xtrs.man
		nroff -man xtrs.man > xtrs.man.txt

mkdisk.man.txt:	mkdisk.man
		nroff -man mkdisk.man > mkdisk.man.txt

clean:
		rm -f $(OBJECTS) $(MF_OBJECTS) $(CR_OBJECTS) $(HC_OBJECTS) \
			*~ xtrs mkdisk compile_rom hex2cmd trs_rom*.c

link:	
		rm -f xtrs
		make xtrs

install:
		install -c -m 555 xtrs $(BINDIR)
		install -c -m 444 xtrs.man $(MANDIR)/man1/xtrs.1

depend:
	makedepend -- $(CFLAGS) -- \
		$(SOURCES) $(CR_SOURCES) $(MF_SOURCES) $(HC_SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

## xtrs 2.6

=== Makefile ===

#
# Makefile for xtrs, the TRS-80 emulator.
#

OBJECTS = \
	z80.o \
	main.o \
	load_cmd.o \
	load_hex.o \
	trs_memory.o \
	trs_keyboard.o \
	error.o \
	debug.o \
	dis.o \
	trs_io.o \
	trs_cassette.o \
	trs_xinterface.o \
	trs_chars.o \
	trs_printer.o \
	trs_rom1.o \
	trs_rom3.o \
	trs_rom4p.o \
	trs_disk.o \
	trs_interrupt.o \
	trs_imp_exp.o

CR_OBJECTS = \
	compile_rom.o \
	load_cmd.o \
	load_hex.o

MD_OBJECTS = \
	mkdisk.o

HC_OBJECTS = \
	cmd.o \
	load_hex.o \
	hex2cmd.o

CD_OBJECTS = \
	cmddump.o \
	load_cmd.o

SOURCES = \
	cmd.c \
	cmddump.c \
	compile_rom.c \
	debug.c \
	dis.c \
	error.c \
	hex2cmd.c \
	load_cmd.c \
	load_hex.c \
	main.c \
	mkdisk.c \
	trs_cassette.c \
	trs_chars.c \
	trs_disk.c \
	trs_imp_exp.c \
	trs_interrupt.c \
	trs_io.c \
	trs_keyboard.c \
	trs_memory.c \
	trs_printer.c \
	trs_xinterface.c \
	z80.c

HEADERS = \
	cmd.h \
	config.h \
	trs.h \
	trs_disk.h \
	trs_imp_exp.h \
	trs_iodefs.h \
	z80.h

MISC = \
	ChangeLog \
	Makefile \
	Makefile.local \
	README \
	README.tpm \
	cassette \
	cassette.man \
	cassette.txt \
	export.bas \
	export.cmd \
	export.lst \
	export.z \
	hardfmt.txt \
	import.bas \
	import.cmd \
	import.lst \
	import.z \
	m1format.fix \
	mkdisk.man \
	mkdisk.txt \
	settime.ccc \
	settime.cmd \
	settime.lst \
	settime.z \
	trs80-model1.bdf \
	trs80-model3.bdf \
	utility.dsk \
	utility.jcl \
	cpmutil.dsk \
	xtrs.man \
	xtrs.txt \
	xtrsemt.ccc \
	xtrsemt.h \
	xtrshard.dct \
	xtrshard.lst \
	xtrshard.z \
	xtrsmous.cmd \
	xtrsmous.lst \
	xtrsmous.z

default: xtrs mkdisk hex2cmd cmddump xtrs.txt mkdisk.txt cassette.txt

cmds: export.cmd import.cmd settime.cmd xtrsmous.cmd xtrs8.dct xtrshard.dct

# Local customizations for make variables are done in Makefile.local:
include Makefile.local

CFLAGS = $(DEBUG) $(ENDIAN) $(DEFAULT_ROM) $(READLINE) $(DISKDIR) $(IFLAGS) \
	-DKBWAIT -DHAVE_SIGIO
LIBS = $(XLIB) $(READLINELIBS) $(EXTRALIBS)

.SUFFIXES:	.z .cmd .dct .man .txt
.z.cmd:
	zmac $<
	hex2cmd $*.hex > $*.cmd
	rm -f $*.hex
.z.dct:
	zmac $<
	hex2cmd $*.hex > $*.dct
	rm -f $*.hex
.man.txt:
	nroff -man $< > $*.txt

xtrs:		$(OBJECTS)
		$(CC) $(LDFLAGS) -o xtrs $(OBJECTS) $(LIBS)

compile_rom:	$(CR_OBJECTS)
		$(CC) -o compile_rom $(CR_OBJECTS)

trs_rom1.c:	compile_rom $(BUILT_IN_ROM)
		./compile_rom 1 $(BUILT_IN_ROM) > trs_rom1.c

trs_rom3.c:	compile_rom $(BUILT_IN_ROM3)
		./compile_rom 3 $(BUILT_IN_ROM3) > trs_rom3.c

trs_rom4p.c:	compile_rom $(BUILT_IN_ROM4P)
		./compile_rom 4p $(BUILT_IN_ROM4P) > trs_rom4p.c

mkdisk:		$(MD_OBJECTS)
		$(CC) -o mkdisk $(MD_OBJECTS)

hex2cmd:	$(HC_OBJECTS)
		$(CC) -o hex2cmd $(HC_OBJECTS)

cmddump:	$(CD_OBJECTS)
		$(CC) -o cmddump $(CD_OBJECTS)

saber_src:
		#ignore SIGIO
		#load $(LDFLAGS) $(CFLAGS) $(SOURCES) $(LIBS)

tar:		$(SOURCES) $(HEADERS)
		tar cvf xtrs.tar $(SOURCES) $(HEADERS) $(MISC)
		rm -f xtrs.tar.Z
		compress xtrs.tar

clean:
		rm -f $(OBJECTS) $(MD_OBJECTS) $(CR_OBJECTS) $(HC_OBJECTS) \
	                $(CD_OBJECTS) trs_rom*.c \
			*~ xtrs mkdisk compile_rom hex2cmd cmddump

link:	
		rm -f xtrs
		make xtrs

install:
		install -c -m 555 xtrs $(BINDIR)
		install -c -m 444 xtrs.man $(MANDIR)/man1/xtrs.1

depend:
	makedepend -- $(CFLAGS) -- $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.

## xtrs 3.9a

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	trs_cassette.o \
 	trs_xinterface.o \
 	trs_chars.o \
+	trs_wide_chars.o \
 	trs_printer.o \
 	trs_rom1.o \
 	trs_rom3.o \
@@ -27,6 +28,7 @@
 
 CR_OBJECTS = \
 	compile_rom.o \
+	error.o \
 	load_cmd.o \
 	load_hex.o
 
@@ -35,6 +37,7 @@
 
 HC_OBJECTS = \
 	cmd.o \
+	error.o \
 	load_hex.o \
 	hex2cmd.o
 
@@ -56,6 +59,7 @@
 	mkdisk.c \
 	trs_cassette.c \
 	trs_chars.c \
+	trs_wide_chars.c \
 	trs_disk.c \
 	trs_imp_exp.c \
 	trs_interrupt.c \
@@ -100,8 +104,6 @@
 	settime.cmd \
 	settime.lst \
 	settime.z \
-	trs80-model1.bdf \
-	trs80-model3.bdf \
 	utility.dsk \
 	utility.jcl \
 	cpmutil.dsk \
@@ -116,9 +118,19 @@
 	xtrsmous.lst \
 	xtrsmous.z
 
-default: xtrs mkdisk hex2cmd cmddump xtrs.txt mkdisk.txt cassette.txt
-
-cmds: export.cmd import.cmd settime.cmd xtrsmous.cmd xtrs8.dct xtrshard.dct
+Z80CODE = export.cmd import.cmd settime.cmd xtrsmous.cmd \
+	xtrs8.dct xtrshard.dct \
+	fakerom.hex xtrsrom4p.hex
+
+MANPAGES = xtrs.txt mkdisk.txt cassette.txt
+
+PROGS = xtrs mkdisk hex2cmd cmddump
+
+default: xtrs mkdisk hex2cmd cmddump $(MANPAGES)
+
+manpages: $(MANPAGES)
+
+z80code: $(Z80CODE)
 
 # Local customizations for make variables are done in Makefile.local:
 include Makefile.local
@@ -127,7 +139,7 @@
 	-DKBWAIT -DHAVE_SIGIO
 LIBS = $(XLIB) $(READLINELIBS) $(EXTRALIBS)
 
-.SUFFIXES:	.z .cmd .dct .man .txt
+.SUFFIXES:	.z .cmd .dct .man .txt .hex
 .z.cmd:
 	zmac $<
 	hex2cmd $*.hex > $*.cmd
@@ -136,6 +148,8 @@
 	zmac $<
 	hex2cmd $*.hex > $*.dct
 	rm -f $*.hex
+.z.hex:
+	zmac $<
 .man.txt:
 	nroff -man $< > $*.txt
 
@@ -174,16 +188,21 @@
 
 clean:
 		rm -f $(OBJECTS) $(MD_OBJECTS) $(CR_OBJECTS) $(HC_OBJECTS) \
-	                $(CD_OBJECTS) trs_rom*.c \
-			*~ xtrs mkdisk compile_rom hex2cmd cmddump
+			$(CD_OBJECTS) trs_rom*.c *~ \
+			$(PROGS) compile_rom
+
+veryclean: clean
+		rm -f $(Z80CODE) $(MANPAGES)
 
 link:	
 		rm -f xtrs
 		make xtrs
 
 install:
-		install -c -m 555 xtrs $(BINDIR)
-		install -c -m 444 xtrs.man $(MANDIR)/man1/xtrs.1
+		install -c -m 755 $(PROGS) $(BINDIR)
+		install -c -m 644 xtrs.man $(MANDIR)/man1/xtrs.1
+		install -c -m 644 cassette.man $(MANDIR)/man1/cassette.1
+		install -c -m 644 mkdisk.man $(MANDIR)/man1/mkdisk.1
 
 depend:
 	makedepend -- $(CFLAGS) -- $(SOURCES)

## xtrs 4.8

=== Makefile ===
--- 
+++ 
@@ -17,14 +17,15 @@
 	trs_cassette.o \
 	trs_xinterface.o \
 	trs_chars.o \
-	trs_wide_chars.o \
 	trs_printer.o \
 	trs_rom1.o \
 	trs_rom3.o \
 	trs_rom4p.o \
 	trs_disk.o \
 	trs_interrupt.o \
-	trs_imp_exp.o
+	trs_imp_exp.o \
+	trs_hard.o \
+	trs_uart.o
 
 CR_OBJECTS = \
 	compile_rom.o \
@@ -59,24 +60,28 @@
 	mkdisk.c \
 	trs_cassette.c \
 	trs_chars.c \
-	trs_wide_chars.c \
 	trs_disk.c \
+	trs_hard.c \
 	trs_imp_exp.c \
 	trs_interrupt.c \
 	trs_io.c \
 	trs_keyboard.c \
 	trs_memory.c \
 	trs_printer.c \
+	trs_uart.c \
 	trs_xinterface.c \
 	z80.c
 
 HEADERS = \
 	cmd.h \
 	config.h \
+	reed.h \
 	trs.h \
 	trs_disk.h \
+	trs_hard.h \
 	trs_imp_exp.h \
 	trs_iodefs.h \
+	trs_uart.h \
 	z80.h
 
 MISC = \
@@ -88,11 +93,15 @@
 	cassette \
 	cassette.man \
 	cassette.txt \
+	cmddump.man \
+	cmddump.txt \
 	export.bas \
 	export.cmd \
 	export.lst \
 	export.z \
 	hardfmt.txt \
+	hex2cmd.man \
+	hex2cmd.txt \
 	import.bas \
 	import.cmd \
 	import.lst \
@@ -122,11 +131,11 @@
 	xtrs8.dct xtrshard.dct \
 	fakerom.hex xtrsrom4p.hex
 
-MANPAGES = xtrs.txt mkdisk.txt cassette.txt
+MANPAGES = xtrs.txt mkdisk.txt cassette.txt cmddump.txt hex2cmd.txt 
 
 PROGS = xtrs mkdisk hex2cmd cmddump
 
-default: xtrs mkdisk hex2cmd cmddump $(MANPAGES)
+default: xtrs mkdisk hex2cmd cmddump manpages
 
 manpages: $(MANPAGES)
 
@@ -136,20 +145,21 @@
 include Makefile.local
 
 CFLAGS = $(DEBUG) $(ENDIAN) $(DEFAULT_ROM) $(READLINE) $(DISKDIR) $(IFLAGS) \
-	-DKBWAIT -DHAVE_SIGIO
+       $(APPDEFAULTS) -DKBWAIT -DHAVE_SIGIO -DHRG1B
 LIBS = $(XLIB) $(READLINELIBS) $(EXTRALIBS)
 
+ZMACFLAGS = -h
 .SUFFIXES:	.z .cmd .dct .man .txt .hex
 .z.cmd:
-	zmac $<
+	zmac $(ZMACFLAGS) $<
 	hex2cmd $*.hex > $*.cmd
 	rm -f $*.hex
 .z.dct:
-	zmac $<
+	zmac $(ZMACFLAGS) $<
 	hex2cmd $*.hex > $*.dct
 	rm -f $*.hex
 .z.hex:
-	zmac $<
+	zmac $(ZMACFLAGS) $<
 .man.txt:
 	nroff -man $< > $*.txt
 
@@ -192,17 +202,19 @@
 			$(PROGS) compile_rom
 
 veryclean: clean
-		rm -f $(Z80CODE) $(MANPAGES)
+		rm -f $(Z80CODE) $(MANPAGES) *.lst
 
 link:	
 		rm -f xtrs
 		make xtrs
 
 install:
-		install -c -m 755 $(PROGS) $(BINDIR)
-		install -c -m 644 xtrs.man $(MANDIR)/man1/xtrs.1
-		install -c -m 644 cassette.man $(MANDIR)/man1/cassette.1
-		install -c -m 644 mkdisk.man $(MANDIR)/man1/mkdisk.1
+		$(INSTALL) -c -m 755 $(PROGS) $(BINDIR)
+		$(INSTALL) -c -m 644 xtrs.man $(MANDIR)/man1/xtrs.1
+		$(INSTALL) -c -m 644 cassette.man $(MANDIR)/man1/cassette.1
+		$(INSTALL) -c -m 644 mkdisk.man $(MANDIR)/man1/mkdisk.1
+		$(INSTALL) -c -m 644 cmddump.man $(MANDIR)/man1/cmddump.1
+		$(INSTALL) -c -m 644 hex2cmd.man $(MANDIR)/man1/hex2cmd.1
 
 depend:
 	makedepend -- $(CFLAGS) -- $(SOURCES)

## xtrs 4.9

=== Makefile ===
--- 
+++ 
@@ -89,7 +89,7 @@
 	Makefile \
 	Makefile.local \
 	README \
-	README.tpm \
+	README-1.0 \
 	cassette \
 	cassette.man \
 	cassette.txt \
@@ -145,7 +145,7 @@
 include Makefile.local
 
 CFLAGS = $(DEBUG) $(ENDIAN) $(DEFAULT_ROM) $(READLINE) $(DISKDIR) $(IFLAGS) \
-       $(APPDEFAULTS) -DKBWAIT -DHAVE_SIGIO -DHRG1B
+       $(APPDEFAULTS) -DKBWAIT -DHAVE_SIGIO
 LIBS = $(XLIB) $(READLINELIBS) $(EXTRALIBS)
 
 ZMACFLAGS = -h

## xtrs 4.9a

=== Makefile ===
--- 
+++ 
@@ -91,23 +91,19 @@
 	README \
 	README-1.0 \
 	cassette \
-	cassette.man \
 	cassette.txt \
-	cmddump.man \
 	cmddump.txt \
 	export.bas \
 	export.cmd \
 	export.lst \
 	export.z \
 	hardfmt.txt \
-	hex2cmd.man \
 	hex2cmd.txt \
 	import.bas \
 	import.cmd \
 	import.lst \
 	import.z \
 	m1format.fix \
-	mkdisk.man \
 	mkdisk.txt \
 	settime.ccc \
 	settime.cmd \
@@ -116,7 +112,6 @@
 	utility.dsk \
 	utility.jcl \
 	cpmutil.dsk \
-	xtrs.man \
 	xtrs.txt \
 	xtrsemt.ccc \
 	xtrsemt.h \
@@ -130,6 +125,12 @@
 Z80CODE = export.cmd import.cmd settime.cmd xtrsmous.cmd \
 	xtrs8.dct xtrshard.dct \
 	fakerom.hex xtrsrom4p.hex
+
+MANSOURCES = cassette.man \
+	cmddump.man \
+	hex2cmd.man \
+	mkdisk.man \
+	xtrs.man
 
 MANPAGES = xtrs.txt mkdisk.txt cassette.txt cmddump.txt hex2cmd.txt 
 
@@ -161,7 +162,7 @@
 .z.hex:
 	zmac $(ZMACFLAGS) $<
 .man.txt:
-	nroff -man $< > $*.txt
+	nroff -man -c -Tascii $< | colcrt - | cat -s > $*.txt
 
 xtrs:		$(OBJECTS)
 		$(CC) $(LDFLAGS) -o xtrs $(OBJECTS) $(LIBS)
@@ -192,7 +193,7 @@
 		#load $(LDFLAGS) $(CFLAGS) $(SOURCES) $(LIBS)
 
 tar:		$(SOURCES) $(HEADERS)
-		tar cvf xtrs.tar $(SOURCES) $(HEADERS) $(MISC)
+		tar cvf xtrs.tar $(SOURCES) $(HEADERS)  $(MANSOURCES) $(MISC)
 		rm -f xtrs.tar.Z
 		compress xtrs.tar
 
@@ -208,13 +209,17 @@
 		rm -f xtrs
 		make xtrs
 
-install:
-		$(INSTALL) -c -m 755 $(PROGS) $(BINDIR)
-		$(INSTALL) -c -m 644 xtrs.man $(MANDIR)/man1/xtrs.1
-		$(INSTALL) -c -m 644 cassette.man $(MANDIR)/man1/cassette.1
-		$(INSTALL) -c -m 644 mkdisk.man $(MANDIR)/man1/mkdisk.1
-		$(INSTALL) -c -m 644 cmddump.man $(MANDIR)/man1/cmddump.1
-		$(INSTALL) -c -m 644 hex2cmd.man $(MANDIR)/man1/hex2cmd.1
+install: install-progs install-man
+
+install-progs: $(PROGS)
+	$(INSTALL) -c -m 755 $(PROGS) $(BINDIR)
+
+install-man: $(MANPAGES)
+	$(INSTALL) -c -m 644 xtrs.man $(MANDIR)/man1/xtrs.1
+	$(INSTALL) -c -m 644 cassette.man $(MANDIR)/man1/cassette.1
+	$(INSTALL) -c -m 644 mkdisk.man $(MANDIR)/man1/mkdisk.1
+	$(INSTALL) -c -m 644 cmddump.man $(MANDIR)/man1/cmddump.1
+	$(INSTALL) -c -m 644 hex2cmd.man $(MANDIR)/man1/hex2cmd.1
 
 depend:
 	makedepend -- $(CFLAGS) -- $(SOURCES)

## xtrs 4.9c

=== Makefile ===
--- 
+++ 
@@ -89,26 +89,23 @@
 	Makefile \
 	Makefile.local \
 	README \
-	README-1.0 \
 	cassette \
 	cassette.txt \
 	cmddump.txt \
-	export.bas \
 	export.cmd \
 	export.lst \
-	export.z \
+	export.z80 \
 	hardfmt.txt \
 	hex2cmd.txt \
-	import.bas \
 	import.cmd \
 	import.lst \
-	import.z \
+	import.z80 \
 	m1format.fix \
 	mkdisk.txt \
 	settime.ccc \
 	settime.cmd \
 	settime.lst \
-	settime.z \
+	settime.z80 \
 	utility.dsk \
 	utility.jcl \
 	cpmutil.dsk \
@@ -117,10 +114,10 @@
 	xtrsemt.h \
 	xtrshard.dct \
 	xtrshard.lst \
-	xtrshard.z \
+	xtrshard.z80 \
 	xtrsmous.cmd \
 	xtrsmous.lst \
-	xtrsmous.z
+	xtrsmous.z80
 
 Z80CODE = export.cmd import.cmd settime.cmd xtrsmous.cmd \
 	xtrs8.dct xtrshard.dct \
@@ -150,16 +147,16 @@
 LIBS = $(XLIB) $(READLINELIBS) $(EXTRALIBS)
 
 ZMACFLAGS = -h
-.SUFFIXES:	.z .cmd .dct .man .txt .hex
-.z.cmd:
+.SUFFIXES:	.z80 .cmd .dct .man .txt .hex
+.z80.cmd:
 	zmac $(ZMACFLAGS) $<
 	hex2cmd $*.hex > $*.cmd
 	rm -f $*.hex
-.z.dct:
+.z80.dct:
 	zmac $(ZMACFLAGS) $<
 	hex2cmd $*.hex > $*.dct
 	rm -f $*.hex
-.z.hex:
+.z80.hex:
 	zmac $(ZMACFLAGS) $<
 .man.txt:
 	nroff -man -c -Tascii $< | colcrt - | cat -s > $*.txt

## xtrs 4.9d

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-
 #
 # Makefile for xtrs, the TRS-80 emulator.
+# $Id: Makefile,v 1.33 2008/06/26 04:39:56 mann Exp $
 #
 
 OBJECTS = \
@@ -143,7 +143,7 @@
 include Makefile.local
 
 CFLAGS = $(DEBUG) $(ENDIAN) $(DEFAULT_ROM) $(READLINE) $(DISKDIR) $(IFLAGS) \
-       $(APPDEFAULTS) -DKBWAIT -DHAVE_SIGIO
+       $(APPDEFAULTS) -DKBWAIT
 LIBS = $(XLIB) $(READLINELIBS) $(EXTRALIBS)
 
 ZMACFLAGS = -h
@@ -185,10 +185,6 @@
 cmddump:	$(CD_OBJECTS)
 		$(CC) -o cmddump $(CD_OBJECTS)
 
-saber_src:
-		#ignore SIGIO
-		#load $(LDFLAGS) $(CFLAGS) $(SOURCES) $(LIBS)
-
 tar:		$(SOURCES) $(HEADERS)
 		tar cvf xtrs.tar $(SOURCES) $(HEADERS)  $(MANSOURCES) $(MISC)
 		rm -f xtrs.tar.Z

=== debian/changelog ===
xtrs (4.9d-3) unstable; urgency=medium

  * QA upload.

  [ Andreas Tille ]
  * Orphan package
  * Maintain package in Debian team on Salsa
  * Secure URI in Homepage
  * d/watch: Point watch file to latest Github release since upstream
    stopped tagging releases (as per Changelog file in Git)
  * d/control: Remove comments
  * debhelper-compat (= 13)
  * Standards-Version: 4.7.3

  [ Yangfl ]
  * Add Chinese debconf templates translations
    Closes: #1124736

 -- Andreas Tille <tille@debian.org>  Wed, 11 Feb 2026 09:43:01 +0100

xtrs (4.9d-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace Build-Depends: bsdmainutils with bsdextrautils. (Closes: #1081669)
  * Replace html2text's -style option with -rcfile. (Closes: #1066954)

 -- Bastian Germann <bage@debian.org>  Fri, 13 Sep 2024 20:26:43 +0200

xtrs (4.9d-2) unstable; urgency=low

  * debian/control: Bump Standards-Version to 4.0.0.
    + Update debian/patches/make-plain-text-docs-from-html.patch and
      debian/patches/makefile-generate-pdf-manpages.patch to respect "nodoc"
      in DEB_BUILD_OPTIONS.

  * debian/rules: Set DEB_CFLAGS_MAINT_APPEND to "-Wall -Werror".  Set
    DEB_LDFLAGS_MAINT_APPEND to "-Wl,--as-needed".

  * debian/rules: Run upstream "check" target as part of our "check-binary"
    target.

  * debian/rules: Add "maintainer-clean" target to work around the fact that
    some of our patches cause new files to be created, and the package build
    unapplies all the patches without cleaning the build tree.

  * debian/control: Add link to upstream GitHub site in package description;
    thanks, Reiner Herrmann!  (Closes: #905584)
  * debian/control: Tweak English style in package description.

  * debian/README.source: Add material from the Debian Policy Manual's
    upgrading checklist to document my findings regarding this package's
    compliance with it.

  * debian/patches/stop-mkdisk-from-overflowing-buffers.patch:
    + Don't spuriously report test failures if $MKDISK is set to a non-default
      value.
  * debian/patches/ignore-alt-key-events.patch:
    + Update help window to stop documenting Alt key bindings.
  * debian/patches/map-f12-to-shifted-down-arrow.patch:
    + Update help window to document what F12 does now.
  * debian/patches/move-error.c-prototypes-to-new-error.h.patch:
    + Move diagnostic function prototypes into their own header.
  * debian/copyright: Add patch-created error.h file.
  * debian/patches/add-warning-diagnostic-function.patch:
    + A few places in the code were calling error() with "warning:" in the
      argument string, which looked weird.  Make a warn() function for these
      use cases.
  * debian/patches/fix-compiler-warnings.patch:
    + Fix clunky logic in unused variable warning suppression when neither
      SB_SOUND nor HAVE_OSS is #defined.  Don't bother specifying the
      signedness of the ints we use as booleans.  Move declaration of
      sb_address such that it is only present if either SB_SOUND and/or
      HAVE_OSS is #defined.  Add explanatory comment.  Actually throw a
      warning about lack of host system sound support for emulated cassette
      and sound ports only once each.  Don't bother zeroing sb_address after
      issuing said warning.
  * debian/patches/stop-mkdisk-from-overflowing-buffers.patch:
    + Update to resolve GCC 8's stringop-truncation warnings (which
      mysteriously do not appear with debian/rules-driven builds, just with
      manual "make"s).  Get rid of unneeded variable fname_truncated.  Use
      GCC pragmas to suppress remaining instance; add comment explaining that
      we know what we're doing, since we're writing to a static buffer inside
      a struct.
  * debian/patches/fix-stringop-truncation-warning.patch:
    + Issue warning diagnostic if the argument to cmddump -p is too long.
      Swap order of space-padding strncat and forced setting of pdsbuf[8] to a
      null byte.  This persuades GCC that we're ensuring pdsbuf has a string
      terminator.  Use '\0' instead of '\000' as null character escape.

 -- G. Branden Robinson <g.branden.robinson@gmail.com>  Wed, 15 Aug 2018 11:59:02 -0400

xtrs (4.9d-1) unstable; urgency=medium

  * Merge new upstream release.
    + "Deleted all SIGIO code.  The code was a kludge to begin with and it no
      longer worked with current X libraries and Linux kernels, causing xtrs
      to hang.  It was also reported to cause hangs when xtrs was compiled for
      Windows using Cygwin.  Thanks to Howard Pepper, Dennis Lovelady, Arumin
      Nueckel, Christopher Currie, and Joe Peterson for bug reports."

  * Patches to upstream:
    + trs_imp_exp.c: Turn on the "emtsafe" flag by default, preventing actions
      potentially harmful to the host environment (like removing the user's
      files or running shell commands) from being done within the emulator.
      - xtrs.man: Document the new default.
    + trs_xinterface.c: Protect potentially reckless setuid(getuid()) call
      with #ifdef SB_SOUND guard.  The call is no longer compiled.
    + trs_xinterface.c: Get rid of unused variable in help window display
      function.
    + trs_cassette.c: Squash unused variable warnings; add preprocessor
      guards to symbols used only when system support is available.  Work
      around dual usage of sb_address as a boolean (prefer SoundBlaster to
      OSS when both are available?) and a hardware address on x86.  Throw a
      warning the first time (each of) the cassette port or sound port is
      written to on systems where there is no supporting sound system for
      either.  Relocate some #if guards, and one static function so that there
      isn't a forward reference to it.  Rewrite a call to trs_orch90_out(0,
      FLUSH) to orch90_flush(FLUSH) (the former being exactly what
      orch90_flush() is defined as), which is how this forward reference was
      avoided before.  Add comment documenting why orch90_flush() takes an


=== debian/control ===
Source: xtrs
Section: contrib/otherosfs
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 bsdextrautils,
 debhelper-compat (= 13),
 groff,
 html2text,
 libreadline-dev,
 libx11-dev,
 po-debconf,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/xtrs
Vcs-Git: https://salsa.debian.org/debian/xtrs.git
Homepage: https://www.tim-mann.org/xtrs.html

Package: xtrs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: emulator for TRS-80 Model I/III/4/4P computers
 xtrs is an X-based emulator for the Tandy/Radio Shack line of Zilog Z80-based
 microcomputers popular in the late 1970s and early 1980s.  It features
 cassette, floppy, and hard drive emulation, timer interrupt emulation, file
 import and export from the host operating system, support for most of the
 undocumented Z80 instructions, and a built-in debugger.  Real floppy drives
 can be used, and, if an OSS-compatible sound driver is available,
 application-based sound can be played and real cassettes read and written
 directly through the sound card or via WAVE files.  Several hi-res graphics
 cards are emulated and, in Model 4/4P mode, mice are supported.  There is
 also real-time clock, sound card, serial port, joystick, and CPU clock
 speedup emulation.
 .
 xtrs requires ROM images from the original machines.  The ROMs are
 copyrighted by Radio Shack and are not freely licensed.  (Exception: in Model
 4P mode, a freely-licensed boot ROM included with this package can be used to
 boot a Model 4 operating system from a diskette image.)
 .
 xtrs is maintained upstream at GitHub: see
 <https://github.com/TimothyPMann/xtrs>.

=== debian/watch ===
Version: 5

Source: https://github.com/TimothyPMann/xtrs.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 4.9d+git%cd.%h
